Skip to main content
POST
/
api
/
v1
/
org
/
executions
/
{execution_id}
/
retry
Retry a terminal execution
import requests

url = "https://platform.ankra.app/api/v1/org/executions/{execution_id}/retry"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "display_name": "<string>",
  "type": "<string>",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cluster_name": "<string>",
  "error_excerpt": "<string>",
  "step_summary": {
    "total": 0,
    "succeeded": 0,
    "failed": 0,
    "running": 0,
    "pending": 0
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ankra.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

execution_id
string<uuid4>
required

Response

Successful Response

id
string<uuid>
required
scope
enum<string>
required
Available options:
cluster,
platform
organisation_id
string<uuid>
required
name
string
required
display_name
string
required
type
string
required
status
enum<string>
required
Available options:
running,
stopping,
success,
cleanup,
failed,
critical,
cancelled
cluster_id
string<uuid> | null
cluster_name
string | null
outcome
enum<string> | null
Available options:
unknown,
noop,
mutated,
failed,
cancelled
error_excerpt
string | null
step_summary
StepSummary · object
created_at
string<date-time> | null
updated_at
string<date-time> | null